package com.ruoyi.biz.mapper;

import com.ruoyi.biz.domain.ArUser;
import com.ruoyi.biz.domain.vo.ArUserVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;

import java.util.Map;

/**
 * 用户Mapper接口
 *
 * @author ruoyi
 * @date 2023-06-27
 */
public interface ArUserMapper extends BaseMapperPlus<ArUserMapper, ArUser, ArUserVo> {

    Map<String, Object> findUser(String openId);

    void updateUser(Map<String, Object> paraMap);

    void addUser(Map<String, Object> paraMap);
}
